Package docking.menu

# Class HorizontalRuleAction

java.lang.Object
docking.action.DockingAction
docking.menu.HorizontalRuleAction

All Implemented Interfaces:
  `DockingActionIf`, `HelpDescriptor`

public class HorizontalRuleAction extends DockingAction
An action that can be added to a menu in order to separate menu items into groups

- ## Field Summary

  ### Fields inherited from interface docking.action.DockingActionIf

  `DESCRIPTION_PROPERTY, ENABLEMENT_PROPERTY, GLOBALCONTEXT_PROPERTY, KEYBINDING_DATA_PROPERTY, MENUBAR_DATA_PROPERTY, POPUP_MENU_DATA_PROPERTY, TOOLBAR_DATA_PROPERTY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HorizontalRuleAction(String owner, String topName, String bottomName)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `actionPerformed(ActionContext context)`
  method to actually perform the action logic for this action.
  `JSeparator`
  `createMenuComponent(boolean isPopup)`
  Returns a component to represent this action in the menu.

  ### Methods inherited from class docking.action.DockingAction

  `addPropertyChangeListener, addToWindowWhen, createButton, createMenuItem, dispose, doCreateButton, doCreateMenuItem, enabledWhen, firePropertyChanged, getContextClass, getDefaultKeyBindingData, getDescription, getFullName, getHelpInfo, getHelpLocation, getHelpObject, getInceptionFromTheFirstClassThatIsNotUsOrABuilder, getInceptionInformation, getKeyBinding, getKeyBindingData, getKeyBindingType, getMenuBarData, getName, getOwner, getPopupMenuData, getPreferredKeyBindingType, getToolBarData, isAddToPopup, isEnabled, isEnabledForContext, isValidContext, markHelpUnnecessary, popupWhen, removePropertyChangeListener, setAddToAllWindows, setContextClass, setDefaultKeyBindingData, setDescription, setEnabled, setHelpLocation, setKeyBindingData, setMenuBarData, setPopupMenuData, setToolBarData, setUnvalidatedKeyBindingData, shouldAddToWindow, supportsDefaultContext, toString, validContextWhen`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface docking.action.DockingActionIf

  `getOwnerDescription`

- ## Constructor Details

  - ### HorizontalRuleAction

    public HorizontalRuleAction(String owner, String topName, String bottomName)
    Constructor
    Parameters:
      `owner` - the action owner
      `topName` - the name that will appear above the separator bar
      `bottomName` - the name that will appear below the separator bar

- ## Method Details

  - ### actionPerformed

    public void actionPerformed(ActionContext context)
    Description copied from interface: `DockingActionIf`
    method to actually perform the action logic for this action.
    Specified by:
      `actionPerformed` in interface `DockingActionIf`
    Specified by:
      `actionPerformed` in class `DockingAction`
    Parameters:
      `context` - the `ActionContext` object that provides information about where and how this action was invoked.

  - ### createMenuComponent

    public JSeparator createMenuComponent(boolean isPopup)
    Description copied from interface: `DockingActionIf`
    Returns a component to represent this action in the menu.

    Typically, this is the menu item that triggers the action. However, some actions may wish to use components other than menu items. For example, they may produce component for helping to organize the menu visually.

    Parameters:
      `isPopup` - true if the action should use its Popup MenuData, else it uses the MenuBar MenuData.
    Returns:
      the component
    See Also:
      - `DockingActionIf.createMenuItem(boolean)`